> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cad/api-integration/api-endpoints/general/ban-user.md).

# Kick or Ban User

{% hint style="warning" %}
This API endpoint requires the **plus** version of Sonoran CAD or higher. For more information, see our [pricing ](/cad/pricing/faq.md)page.
{% endhint %}

## Ban User

<mark style="color:green;">`POST`</mark> `https://api.sonorancad.com/general/ban_user`

This endpoint allows you to ban a user account in your community.

#### Request Body

| Name | Type   | Description                       |
| ---- | ------ | --------------------------------- |
| id   | string | Your community's ID               |
| key  | string | Your community's API Key          |
| type | string | BAN\_USER                         |
| data | array  | Array of user account ban objects |

{% tabs %}
{% tab title="200 A successful call will be met with the following response:" %}

```
User Ban: {{ ACCOUNT UUID }} Status: {{ isBan }}
```

{% endtab %}

{% tab title="400 The following 400 errors may be sent in response:" %}

```http
INVALID REQUEST TYPE
INVALID COMMUNITY ID
API ENDPOINT IS NOT ENABLED FOR THIS COMMUNITY
INVALID API KEY
```

{% endtab %}

{% tab title="404 A non-linked API ID will be met with the following response:" %}

```
API ID NOT LINKED TO AN ACCOUNT IN THIS COMMUNITY
```

{% endtab %}
{% endtabs %}

```javascript
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "BAN_USER",
    "data": [
        {
            "apiId": "STEAM:1234",  // (Option 1) API ID entered in the unit identifiers
                                    //   Typically, this is their STEAM ID
            "accId": "000-000-000", // (Option 2) Sonoran SSO UUID
            "isBan": true, // OPTIONAL: Ban (true) or un-ban (false)
            "isKick": false // OPTIONAL: Kick instead of ban
        },
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cad/api-integration/api-endpoints/general/ban-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
